質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

解決済

conda installが使用できない

exxxxxxx029
exxx029

総合スコア23

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

1回答

0評価

0クリップ

395閲覧

投稿2022/06/07 09:28

現在Macでconda環境を使用しているのですが、OpenCVをconda installで入れたところ、 conda install, conda uninstall, conda update を使用する際に必ず以下のようなエラーメッセージが出るようになりました。

(base) User@pc site-packages % conda uninstall opencv Collecting package metadata (repodata.json): failed WARNING conda.exceptions:print_unexpected_error_report(1246): KeyError('pkgs_dirs') Traceback (most recent call last): File "/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1114, in __call__ return func(*args, **kwargs) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/main.py", line 86, in main_subshell exit_code = do_call(args, p) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 90, in do_call return getattr(module, func_name)(args, parser) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/main_remove.py", line 90, in execute txn = solver.solve_for_transaction() File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 155, in solve_for_transaction should_retry_solve) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 196, in solve_for_diff force_remove, should_retry_solve) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 300, in solve_final_state ssc = self._collect_all_metadata(ssc) File "/opt/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 86, in decorated return f(*args, **kwds) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 435, in _collect_all_metadata _supplement_index_with_system(virtual_pkg_index) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/index.py", line 158, in _supplement_index_with_system cuda_version = context.cuda_version File "/opt/miniconda3/lib/python3.7/site-packages/conda/auxlib/decorators.py", line 268, in new_fget cache[inner_attname] = func(self) File "/opt/miniconda3/lib/python3.7/site-packages/conda/common/decorators.py", line 24, in wrapper return func(*args, **kwargs) File "/opt/miniconda3/lib/python3.7/site-packages/conda/base/context.py", line 926, in cuda_version return cuda_detect() File "/opt/miniconda3/lib/python3.7/site-packages/conda/common/cuda.py", line 37, in cuda_detect import ctypes File "/opt/miniconda3/lib/python3.7/ctypes/__init__.py", line 7, in <module> from _ctypes import Union, Structure, Array ImportError: dlopen(/opt/miniconda3/lib/python3.7/lib-dynload/_ctypes.cpython-37m-darwin.so, 2): Library not loaded: @rpath/libffi.6.dylib Referenced from: /opt/miniconda3/lib/python3.7/lib-dynload/_ctypes.cpython-37m-darwin.so Reason: image not found During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1244, in print_unexpected_error_report message_builder.append(get_main_info_str(error_report['conda_info'])) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/main_info.py", line 237, in get_main_info_str info_dict['_' + key] = ('\n' + 26 * ' ').join(info_dict[key]) KeyError: 'pkgs_dirs' # >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<< Traceback (most recent call last): File "/opt/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 1114, in __call__ return func(*args, **kwargs) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/main.py", line 86, in main_subshell exit_code = do_call(args, p) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 90, in do_call return getattr(module, func_name)(args, parser) File "/opt/miniconda3/lib/python3.7/site-packages/conda/cli/main_remove.py", line 90, in execute txn = solver.solve_for_transaction() File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 155, in solve_for_transaction should_retry_solve) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 196, in solve_for_diff force_remove, should_retry_solve) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 300, in solve_final_state ssc = self._collect_all_metadata(ssc) File "/opt/miniconda3/lib/python3.7/site-packages/conda/common/io.py", line 86, in decorated return f(*args, **kwds) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/solve.py", line 435, in _collect_all_metadata _supplement_index_with_system(virtual_pkg_index) File "/opt/miniconda3/lib/python3.7/site-packages/conda/core/index.py", line 158, in _supplement_index_with_system cuda_version = context.cuda_version File "/opt/miniconda3/lib/python3.7/site-packages/conda/auxlib/decorators.py", line 268, in new_fget cache[inner_attname] = func(self) File "/opt/miniconda3/lib/python3.7/site-packages/conda/common/decorators.py", line 24, in wrapper return func(*args, **kwargs) File "/opt/miniconda3/lib/python3.7/site-packages/conda/base/context.py", line 926, in cuda_version return cuda_detect() File "/opt/miniconda3/lib/python3.7/site-packages/conda/common/cuda.py", line 37, in cuda_detect import ctypes File "/opt/miniconda3/lib/python3.7/ctypes/__init__.py", line 7, in <module> from _ctypes import Union, Structure, Array ImportError: dlopen(/opt/miniconda3/lib/python3.7/lib-dynload/_ctypes.cpython-37m-darwin.so, 2): Library not loaded: @rpath/libffi.6.dylib Referenced from: /opt/miniconda3/lib/python3.7/lib-dynload/_ctypes.cpython-37m-darwin.so Reason: image not found `$ /opt/miniconda3/bin/conda uninstall opencv` environment variables: conda info could not be constructed. KeyError('pkgs_dirs') An unexpected error has occurred. Conda has prepared the above report. If submitted, this report will be used by core maintainers to improve future releases of conda. Would you like conda to send this report to the core maintainers? [y/N]: n No report sent. To permanently opt-out, use $ conda config --set report_errors false

元々入っているpipと競合してしまった可能性も考えたのですが、エラー文を読んでもどこに原因があるのかわからず、どう対処して良いかわからない状態です。
お手数ですが、どなたかご助力いただけないでしょうか。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

exxxxxxx029

2022/06/07 11:29

迅速な回答ありがとうございます! 送っていただいた記事と同様のエラーだったようで、無事解決出来ました。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。